--- /usr/sbin/chkrootkit.orig	2011-12-22 22:34:44.000000000 +0100
+++ /usr/sbin/chkrootkit.cii	2013-09-26 21:12:34.000000000 +0200
@@ -23,8 +23,40 @@
 _POSIX2_VERSION=199209
 export _POSIX2_VERSION
 
+cmp_1_le_2() {
+	[ $# -eq 2 ] || {
+		echo "cmp_1_le_2: wrong number of arguments" >&2
+		exit 1
+	}
+
+	local IFS=.- _1 _2
+	_1=$1
+	_2=$2
+
+	set -- $_1
+	[ $# -ge 2 ] || {
+		echo "cmp_1_le_2: bad 1:st version number '$_1'" >&2
+		exit 1
+	}
+	local v1_1 v1_2
+	v1_1=$1
+	v1_2=$2
+
+	set -- $_2
+	[ $# -ge 2 ] || {
+		echo "cmp_1_le_2: bad 2:nd version number '$_2'" >&2
+		exit 1
+	}
+	local v2_1 v2_2
+	v2_1=$1
+	v2_2=$2
+
+	[ $v1_1 -le $v2_1 ] || return 1
+	[ $v1_2 -ge $v2_2 ]
+}
+
 # ksyms/kallsyms, depending on kernel version
-if [ `uname -r | cut -d. -f2` -lt 6 ] ;
+if ! cmp_1_le_2 $(uname -r) 2.6 ;
 then
 KALLSYMS=ksyms ;
 else
